version: '3.3'

services:
  nginx:
   image: nginx:latest
   container_name: nginx
   volumes:
     - ./nginx/sites:/etc/nginx/conf.d
   ports:
     - 80:80
     - 443:443
   networks:
     - eyes-clinic
  
  # api-be:
  #   build: .
  #   restart: unless-stopped
  #   container_name: api-be
  #   depends_on:
  #     - keycloak-eyes-clinic
  #   environment:
  #     PORT: ${PORT}
  #     MONGO_URI: ${MONGO_URI}
  #     IAM_URL: ${IAM_URL}
  #     IAM_REALM: ${IAM_REALM}
  #     IAM_CLIENT_ID: ${IAM_CLIENT_ID}
  #   ports:
  #    - ${PORT}:${PORT}
  #   networks:
  #     - eyes-clinic

  mongodb:
    image: mongo:7.0.12
    container_name: mongodb
    volumes:
      - ./data/mongodb:/etc/mongo
    ports:
      - "27017:27017"

networks:
  eyes-clinic:
volumes:
  eyes-clinic-mongodb:
